com.mockobjects.jms

## Class MockTopicSession

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockSession
    - - com.mockobjects.jms.MockTopicSession

- All Implemented Interfaces:
    Verifiable

      public class MockTopicSession
      extends MockSession

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockTopicSession()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name)`
    `TopicSubscriber` | `createDurableSubscriber(Topic topic, java.lang.String name, java.lang.String messsageSelecter, boolean noLocal)`
    `TopicPublisher` | `createPublisher(Topic topic)`
    `TopicSubscriber` | `createSubscriber(Topic topic)`
    `TopicSubscriber` | `createSubscriber(Topic topic, java.lang.String messsageSelecter, boolean noLocal)`
    `TemporaryTopic` | `createTemporaryTopic()`
    `Topic` | `createTopic(java.lang.String topicName)`
    `void` | `setExpectedTopicName(java.lang.String topicName)`
    `void` | `setupCreatePublisher(TopicPublisher topicPublisherToReturn)`
    `void` | `setupCreateTopic(Topic topicToReturn)`
    `void` | `setupCreateTopicCalls(int createTopicCalls)`
    `void` | `setupTopicSubscriber(TopicSubscriber topicSubscriberToReturn)`
    `void` | `unsubscribe(java.lang.String topicName)`

    - ### Methods inherited from class com.mockobjects.jms.MockSession

      `close, commit, createBytesMessage, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createStreamMessage, createTextMessage, createTextMessage, getMessageListener, getTransacted, recover, rollback, run, setExpectedCloseCalls, setExpectedCreateTextMessageCalls, setMessageListener, setupCreateObjectMessage, setupTextMessage, setupThrowException`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockTopicSession

          public MockTopicSession()

  - ### Method Detail

    - #### setupCreateTopic

          public void setupCreateTopic(Topic topicToReturn)

    - #### setExpectedTopicName

          public void setExpectedTopicName(java.lang.String topicName)

    - #### setupCreateTopicCalls

          public void setupCreateTopicCalls(int createTopicCalls)

    - #### createDurableSubscriber

          public TopicSubscriber createDurableSubscriber(Topic topic,
                                                         java.lang.String name)
                                                  throws JMSException

      Throws:
        `JMSException`

    - #### createDurableSubscriber

          public TopicSubscriber createDurableSubscriber(Topic topic,
                                                         java.lang.String name,
                                                         java.lang.String messsageSelecter,
                                                         boolean noLocal)
                                                  throws JMSException

      Throws:
        `JMSException`

    - #### setupCreatePublisher

          public void setupCreatePublisher(TopicPublisher topicPublisherToReturn)

    - #### createPublisher

          public TopicPublisher createPublisher(Topic topic)
                                         throws JMSException

      Throws:
        `JMSException`

    - #### setupTopicSubscriber

          public void setupTopicSubscriber(TopicSubscriber topicSubscriberToReturn)

    - #### createSubscriber

          public TopicSubscriber createSubscriber(Topic topic)
                                           throws JMSException

      Throws:
        `JMSException`

    - #### createSubscriber

          public TopicSubscriber createSubscriber(Topic topic,
                                                  java.lang.String messsageSelecter,
                                                  boolean noLocal)
                                           throws JMSException

      Throws:
        `JMSException`

    - #### createTemporaryTopic

          public TemporaryTopic createTemporaryTopic()
                                              throws JMSException

      Throws:
        `JMSException`

    - #### createTopic

          public Topic createTopic(java.lang.String topicName)
                            throws JMSException

      Throws:
        `JMSException`

    - #### unsubscribe

          public void unsubscribe(java.lang.String topicName)
                           throws JMSException

      Throws:
        `JMSException`

Copyright © 2002 Mock Objects. All Rights Reserved.